Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.intersection
Class Intersections.FrustumLocalVariables

    java.lang.Object
      de.grogra.ray.intersection.Intersections.FrustumLocalVariables

Enclosing class:
  Intersections

    public static class Intersections.FrustumLocalVariables

extends java.lang.Object

Field Summary
`float` | `a`
`float` | `b`
`float` | `beta`
`static short` | `BODY`
`static short` | `BOTTOM`
`float` | `c`
`Point3f` | `cur_invers_point`
`float` | `cur_t`
`float` | `D`
`float` | `dgz`
`static float` | `FRUSTUM_BOTTOM_RADIUS_SQ`
`static float` | `FRUSTUM_HEIGHT`
`float` | `gz`
`boolean` | `hasIntersection`
`short` | `intersection_part`
`Point3f` | `invers_point`
`Ray` | `invers_ray`
`float` | `invers_t`
`Point3f` | `point`
`float` | `t`
`static short` | `TOP`
`RTShader.TransparencyInput` | `transparencyInput`
`float` | `u`
`float` | `v`

Constructor Summary
`Intersections.FrustumLocalVariables()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### a

    public float a

### b

    public float b

### beta

    public float beta

### BODY

    public static final short BODY

See Also:
  Constant Field Values

### BOTTOM

    public static final short BOTTOM

See Also:
  Constant Field Values

### c

    public float c

### cur_invers_point

    public Point3f cur_invers_point

### cur_t

    public float cur_t

### D

    public float D

### dgz

    public float dgz

### FRUSTUM_BOTTOM_RADIUS_SQ

    public static final float FRUSTUM_BOTTOM_RADIUS_SQ

See Also:
  Constant Field Values

### FRUSTUM_HEIGHT

    public static final float FRUSTUM_HEIGHT

See Also:
  Constant Field Values

### gz

    public float gz

### hasIntersection

    public boolean hasIntersection

### intersection_part

    public short intersection_part

### invers_point

    public Point3f invers_point

### invers_ray

    public final Ray invers_ray

### invers_t

    public float invers_t

### point

    public Point3f point

### t

    public float t

### TOP

    public static final short TOP

See Also:
  Constant Field Values

### transparencyInput

    public final RTShader.TransparencyInput transparencyInput

### u

    public float u

### v

    public float v

Constructor Detail

### Intersections.FrustumLocalVariables

    public Intersections.FrustumLocalVariables()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD